libzypp 17.38.5

redo.h File Reference
`#include <zypp-core/ng/meta/FunctionTraits>`
`#include <zypp-core/ng/meta/TypeTraits>`
`#include <zypp-core/ng/meta/Functional>`
`#include <zypp-core/ng/pipelines/operators.h>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::RedoWhileImpl< Task, Pred, Arg, typename >
struct | zyppng::detail::RedoWhileHelper< Task, Pred >

## Namespaces
namespace | zyppng
namespace | zyppng::detail

## Functions
template<typename Task, typename Pred>
auto | zyppng::redo_while (Task &&todo, Pred &&until)